# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.flow_update import FlowUpdate

class TestFlowUpdate(unittest.TestCase):
    """FlowUpdate unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> FlowUpdate:
        """Test FlowUpdate
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `FlowUpdate`
        """
        model = FlowUpdate()
        if include_optional:
            return FlowUpdate(
                id = 'e',
                title = '0',
                description = '',
                icon = '',
                is_active = True,
                needs_approval = True,
                order = 56,
                type = 'automation',
                arguments = magneto_api_client.models.arguments.Arguments(),
                secrets = magneto_api_client.models.secrets.Secrets(),
                triggers = [
                    {
                        'key' : null
                        }
                    ],
                actions = [
                    {
                        'key' : null
                        }
                    ],
                outputs = {
                    'key' : magneto_api_client.models.flow_output.FlowOutput(
                        value = '', 
                        icon = '', 
                        title = '', 
                        description = '', 
                        type = '', 
                        format = '', )
                    },
                tags = [
                    {
                        'key' : null
                        }
                    ]
            )
        else:
            return FlowUpdate(
                id = 'e',
                title = '0',
                type = 'automation',
        )
        """

    def testFlowUpdate(self):
        """Test FlowUpdate"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
